# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Role\Permission:
  - code: ROLE_MANAGE_CONVERSATIONS
    section: Conversations
    module: XC\VendorMessages
    translations:
      - {code: en, name: 'Manage conversations'}
      - {code: es, name: Conversations}
XLite\Model\Config:
  - name: allow_vendor_communication
    category: XC\VendorMessages
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 200
    value: 0
    translations:
      - {code: en, option_name: 'Allow direct communication between vendor and buyer in the "Warehouse" multivendor mode'}
    module: XC\VendorMessages
XLite\Model\LanguageLabel:
  - name: Read
    translations:
      - {code: en, label: Read}
  - name: Unread
    translations:
      - {code: en, label: Unread}
  - name: Messages
    translations:
      - {code: en, label: Messages}
  - name: Message
    translations:
      - {code: en, label: Message}
  - name: 'Message not found'
    translations:
      - {code: en, label: 'Message not found'}
  - name: 'All orders'
    translations:
      - {code: en, label: 'All orders'}
  - name: 'Orders with unread messages'
    translations:
      - {code: en, label: 'Orders with unread messages'}
  - name: 'Orders with any messages'
    translations:
      - {code: en, label: 'Orders with any messages'}
  - name: 'The field Body may not be blank'
    translations:
      - {code: en, label: 'The field Body may not be blank'}
  - name: 'Contact seller'
    translations:
      - {code: en, label: 'Contact seller'}
  - name: 'X unread messages'
    translations:
      - {code: en, label: '{{count}} unread messages'}
  - name: 'X unread message'
    translations:
      - {code: en, label: '{{count}} unread message'}
  - name: 'X unread messages(2)'
    translations:
      - {code: en, label: '{{count}} unread messages'}
  - name: 'Hidden X messages'
    translations:
      - {code: en, label: 'Hidden messages ({{count}})'}
  - name: 'Hide message history'
    translations:
      - {code: en, label: 'Hide message history'}
  - name: 'New message for order'
    translations:
      - {code: en, label: 'New message for order'}
  - name: 'X new message for order'
    translations:
      - {code: en, label: '{{count}} new messages for order'}
  - name: 'You Have No Messages'
    translations:
      - {code: en, label: 'You Have No Messages'}
  - name: 'Dispute opened by X'
    translations:
      - {code: en, label: 'Dispute opened by {{name}}'}
  - name: 'Dispute closed by X'
    translations:
      - {code: en, label: 'Dispute closed by {{name}}'}
  - name: 'Open dispute'
    translations:
      - {code: en, label: 'Open dispute'}
  - name: 'Close dispute'
    translations:
      - {code: en, label: 'Close dispute'}
  - name: 'A dispute has been opened successfully'
    translations:
      - {code: en, label: 'A dispute has been opened successfully.'}
  - name: 'The dispute has been closed'
    translations:
      - {code: en, label: 'The dispute has been closed.'}
  - name: 'Monitoring of communication related to oder #X has been enabled'
    translations:
      - {code: en, label: 'Monitoring of communication related to oder #{{order_number}} has been enabled.'}
  - name: 'Monitoring of communication related to oder #X has been disabled'
    translations:
      - {code: en, label: 'Monitoring of communication related to oder #{{order_number}} has been disabled.'}
  - name: 'All communication threads'
    translations:
      - {code: en, label: 'All communication threads'}
  - name: 'Communication threads with unread messages'
    translations:
      - {code: en, label: 'Communication threads with unread messages'}
  - name: 'Communication threads with open disputes'
    translations:
      - {code: en, label: 'Communication threads with open disputes'}
  - name: 'Dispute is open X by Y'
    translations:
      - {code: en, label: 'Dispute opened on {{date}}, by {{name}}'}
  - name: 'Write your message'
    translations:
      - {code: en, label: 'Write your message here'}
  - name: 'Open a dispute'
    translations:
      - {code: en, label: 'Open a dispute'}
  - name: Dispute
    translations:
      - {code: en, label: Dispute}
  - name: Reason
    translations:
      - {code: en, label: Reason}
  - name: 'New messages'
    translations:
      - {code: en, label: 'New messages'}
  - name: 'Show vendor’s products in the order'
    translations:
      - {code: en, label: 'Show vendor’s products in the order'}
  - name: 'Hide vendor’s products in the order'
    translations:
      - {code: en, label: 'Hide vendor’s products in the order'}
  - name: Disputes
    translations:
      - {code: en, label: Disputes}
  - name: Conversation
    translations:
      - {code: en, label: Conversation}
  - name: Conversations
    translations:
      - {code: en, label: Conversations}
  - name: 'Conversation: X'
    translations:
      - {code: en, label: 'Conversation: {{members}}'}
  - name: 'X new messages'
    translations:
      - {code: en, label: '{{count}} new messages'}
  - name: 'New message'
    translations:
      - {code: en, label: 'New message'}
  - name: 'Mark all'
    translations:
      - {code: en, label: 'Mark all'}
  - name: 'Mark selected'
    translations:
      - {code: en, label: 'Mark selected'}
  - name: 'Direct messages & disputes'
    translations:
      - {code: en, label: 'Direct messages & disputes'}
  - name: 'Order messages & disputes'
    translations:
      - {code: en, label: 'Order messages & disputes'}
  - name: 'Order messages'
    translations:
      - {code: en, label: 'Order messages'}
XLite\Model\Notification:
  - templatesDirectory: modules/XC/VendorMessages/notification
    position: 1100
    availableForAdmin: false
    availableForCustomer: true
    enabledForAdmin: false
    enabledForCustomer: true
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    editable: true
    module: XC\VendorMessages
    translations:
      - {code: en, name: 'Order message (Order messages module)', description: 'This message will be sent when a new message appears in the communication thread regarding an order', customerSubject: 'Order #%order_number%: new message', customerText: '<p dir="ltr">You have a new message about order <a href="%order_link%">#%order_number%</a>. Please review the message and take any necessary action.</p><blockquote><p dir="ltr">%message%</p></blockquote>'}
      - {code: es, name: 'Mensaje de pedido (módulo de mensajes de pedido)', description: 'Este mensaje se enviará cuando aparezca un nuevo mensaje en el hilo de comunicación relativo a un pedido', customerSubject: 'Pedido #%número_pedido%: nuevo mensaje', customerText: '<p dir="ltr">Tiene un nuevo mensaje sobre el pedido <a href="%order_link%">#%order_number%</a>. Por favor, revise el mensaje y tome las medidas necesarias.</p><blockquote><p dir="ltr">%message%</p></blockquote>'}
  - templatesDirectory: modules/XC/VendorMessages/new_message_notification
    position: 1200
    availableForAdmin: false
    availableForCustomer: true
    enabledForAdmin: false
    enabledForCustomer: true
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    editable: true
    module: XC\VendorMessages
    translations:
      - {code: en, name: 'New message (Order messages module)', description: 'This message will be sent to customer when a new message appears in the conversation', customerSubject: 'New message in conversation', customerText: '<p>You&#39;ve got a new message in %conversation_link%</p><blockquote><p>%message%</p></blockquote>'}
      - {code: es, name: 'Nuevo mensaje (Módulo de mensajes de pedido)', description: 'Este mensaje se enviará al cliente cuando aparezca un nuevo mensaje en la conversación', customerSubject: 'Nuevo mensaje en la conversación', customerText: '<p>Tienes un nuevo mensaje en %conversation_link%</p><blockquote><p>%message%</p></blockquote>'}
